<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('account_payments', function (Blueprint $table) {
            $table->boolean('is_default')->default(0)->after('priority');
            $table->boolean('status')->default(1)->after('priority');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('account_payments', function (Blueprint $table) {
            $table->dropColumn('is_default');
            $table->dropColumn('status');
        });
    }
};
